Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class GenerateSQL

    java.lang.Object
      com.hp.hpl.jena.sdb.core.sqlnode.GenerateSQL

All Implemented Interfaces:
  SQLGenerator

Direct Known Subclasses:
  GenerateSQL_MS, GenerateSQLDB2, GenerateSQLDerby, GenerateSQLMySQL, GenerateSQLOracle

    public class GenerateSQL

extends Object
implements SQLGenerator

Field Summary
`static boolean` | `forceOldGenerator`

Constructor Summary
`GenerateSQL()`

Method Summary
`static SqlNode` | `ensureProject(SDBRequest request, SqlNode sqlNode)`
`String` | `generatePartSQL(SqlNode sqlNode)` Generate an SQL string for the node - which may no tbe legal SQL (e.g.
`String` | `generateSQL(SDBRequest request, SqlNode sqlNode)` Generate an SQL statement for the node - force the outer level to be a SELECT
`static String` | `toPartSQL(SDBRequest request, SqlNode sqlNode)`
`static String` | `toSQL(SDBRequest request, SqlNode sqlNode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forceOldGenerator

    public static boolean forceOldGenerator

Constructor Detail

### GenerateSQL

    public GenerateSQL()

Method Detail

### toSQL

    public static String toSQL(SDBRequest request,
                               SqlNode sqlNode)

### toPartSQL

    public static String toPartSQL(SDBRequest request,
                                   SqlNode sqlNode)

### generateSQL

    public String generateSQL(SDBRequest request,
                              SqlNode sqlNode)

  Generate an SQL statement for the node - force the outer level to be a SELECT

  Specified by:
    `generateSQL` in interface `SQLGenerator`

### generatePartSQL

    public String generatePartSQL(SqlNode sqlNode)

  Generate an SQL string for the node - which may no tbe legal SQL (e.g. no outer SELECT).

### ensureProject

    public static SqlNode ensureProject(SDBRequest request,
                                        SqlNode sqlNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.